package com.persagy.account.pojo.vo.area;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 区域信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAreaCreateVO extends BaseGroupModel {

	@ApiModelProperty(value = "区域ID，更新时不可为空", example = "100101")
	private String id; // 区域ID
	
	//@NotBlank(message = "上级区域ID，不可为空")
	@ApiModelProperty(value = "上级区域ID", example = "100101")
	private String parentId; // 上级区域ID

	//@NotBlank(message = "区域编码，不可为空")
	@ApiModelProperty(value = "区域编码", example = "100101")
	private String areaCode; // 区域编码

	@NotBlank(message = "区域名称，不可为空")
	@ApiModelProperty(value = "区域名称", example = "测试区域")
	private String areaName; // 区域名称

	@NotBlank(message = "区域类别，不可为空")
	@ApiModelProperty(value = "区域类别，0-非最底层区域，1-最底层区域", example = "100101")
	private String areaType; // 区域类别，0-非最底层区域，1-最底层区域

	@ApiModelProperty(value = "备注", example = "测试区域")
	private String remark; // 备注
	
}
