package com.persagy.account.pojo.vo.auth;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class AccountProjectResetVO {

	@NotBlank(message = "集团编码不可为空")
	@ApiModelProperty(value = "集团编码，作为SQL条件", required = true, example = "RC")
	private String groupCode; 	// 所属集团编码
	
	//@NotBlank(message = "项目ID，不可为空")
	@ApiModelProperty(value = "项目ID", example = "1001")
	private String projectId; 		// 项目ID
	
	@NotBlank(message = "区域ID，不可为空")
	@ApiModelProperty(value = "区域ID", example = "1001")
	private String areaId; 		// 区域ID
	
}
