package com.persagy.account.pojo.vo.product;

import java.util.Set;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.persagy.account.pojo.vo.BaseGroupVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月7日 下午2:07:15
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectProductBatchVO extends BaseGroupVO {

	@NotBlank(message = "集团签约ID，不可为空")
	@ApiModelProperty(value = "集团签约ID", example = "GP1001", required = true)
	private String contractId; //集团签约ID
	
	@NotBlank(message = "产品ID，不可为空")
	@ApiModelProperty(value = "产品ID", example = "PD1001", required = true)
	private String productId; // 产品ID
	
	@NotEmpty(message = "项目ID集合，不可为空")
	@ApiModelProperty(value = "项目ID集合", example = "Pj1001", required = true)
	private Set<String> projectIds; // 项目ID集合

}
