package com.persagy.account.pojo.vo.project;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectAreaUpdateVO extends BaseGroupModel {

	@NotBlank(message = "区域ID，不可为空")
	@ApiModelProperty(value = "项目所属区域", example = "123456", required = true)
	private String areaId; 		// 项目所属区域，必须为最底层的区域
	
	@NotEmpty(message = "项目ID集合，不可为空")
	@ApiModelProperty(value = "项目ID集合", example = "[Pj123456789]", required = true)
	private List<String> projectIds; 	// 项目ID

}
