package com.persagy.account.pojo.vo.project;

import java.util.ArrayList;
import java.util.List;

import org.apache.poi.ss.usermodel.Font;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 传感器数据上传excel解析类
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月26日:	下午12:30:39
 */
@Getter
@Setter
@HeadFontStyle(color = Font.COLOR_NORMAL)
@ApiModel(description = "项目数据上传excel解析类")
public class SaasProjectExcel {
	
	public static final String SHEET_NAME_0 = "项目数据模板";
	
	@ExcelProperty(value = "序号", index=0)
	private String index; 	// 序号
	
	@ColumnWidth(30)
	@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "集团编码", index=1)
	private String groupCode; // 集团编码

	@ColumnWidth(30)
	//@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目所属区域", index=2)
	private String areaId; 	// 项目所属区域

	@ColumnWidth(20)
	@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目ID", index=3)
	private String projectId; // 项目ID
	
	@ColumnWidth(20)
	@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目本地编码", index=4)
	private String projectLocalId; // 项目本地编码

	@ColumnWidth(40)
	@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目名称", index=5)
	private String projectName;		// 项目名称
	
	@ColumnWidth(20)
	//@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目所在省", index=6)
	private String provinceCode; // 项目所在省
	
	@ColumnWidth(20)
	//@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目所在市", index=7)
	private String cityCode; 	// 项目所在市
	
	@ColumnWidth(20)
	//@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目所在区", index=8)
	private String zoneCode; 	// 项目所在区
	
	@ColumnWidth(20)
	//@HeadFontStyle(color = Font.COLOR_RED)
	@ExcelProperty(value = "项目详细地址", index=9)
	private String location; 	// 项目详细地址

	@ColumnWidth(40)
	@ExcelProperty(value = "备注", index=10)
	private String remark;
	
	/**
	 * 获取模板样例数据
	 * @return
	 */
	public static List<SaasProjectExcel> getDemoData() {
		List<SaasProjectExcel> model = new ArrayList<SaasProjectExcel>(2);
		SaasProjectExcel one = new SaasProjectExcel();
		one.setIndex("1");
		one.setProjectId("Pj1209010205");
		one.setProjectLocalId("1209010205");
		one.setProjectName("测试项目一");
		one.setProvinceCode("省份编码");
		one.setCityCode("城市编码");
		one.setZoneCode("区域编码");
		one.setRemark("测试项目一");
		
		SaasProjectExcel two = new SaasProjectExcel();
		two.setIndex("2");
		two.setProjectId("Pj1209010206");
		two.setProjectLocalId("1209010205");
		two.setProjectName("测试项目二");
		two.setProvinceCode("省份编码");
		two.setCityCode("城市编码");
		two.setZoneCode("区域编码");
		two.setRemark("测试项目二");
		
		model.add(one);
		model.add(two);
		return model;
	}
}
