package com.persagy.account.pojo.vo.role;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasRoleDeleteVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@NotBlank(message = "角色ID，不可为空")
	@ApiModelProperty(value = "角色ID", example = "1001")
	private String id; // 角色ID
	
}
