package com.persagy.account.pojo.vo.role;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

/**
 * 角色信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasRoleQueryByNameVO extends BaseGroupModel {

    @NotBlank(message = "角色名称，不可为空")
	@ApiModelProperty(value = "角色名称")
	private String roleName; 	// 角色名称
    
	@ApiModelProperty(value = "角色类型", example = "0")
	private String roleType;

}
