package com.persagy.account.service;

import java.util.List;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasArea;

/**
 * 区域信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasAreaService extends ISuperService<SaasArea> {

	/**
     * 获取一条区域信息
     * 
     * @param id
     * @param groupCode
     * @param areaCode
     * @param areaName
     * @return
     */
	public SaasArea getAreaOne(String id, String groupCode, String areaCode, String areaName);
	
	/**
	 * 获取被允许访问的区域信息
	 * 
	 * @param queryVO
	 * @return
	 */
	List<SaasArea> queryAllowSaasAreaList(String accountId, SaasArea saasArea);
	
	/**
	 * 验证区域编码和区域名称，在该集团下是否唯一
	 * 
	 * @param groupCode
	 * @param areaCode
	 * @param areaName
	 * @param id 更新时，id不可为空
	 * @return
	 */
	boolean validAreaCodeAndName(String groupCode, String areaCode, String areaName, String id);

	/**
	 * 创建一条空区域记录
	 * 
	 * @param groupCode
	 * @param updateUser
	 * @return 返回区域ID，返回空时，代表新增失败
	 */
	String createEmptyAreaInfo(String groupCode, String updateUser);

}

