package com.persagy.account.service;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasProduct;

/**
 * 产品信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-04-27 16:08:25
 */
public interface ISaasProductService extends ISuperService<SaasProduct> {

	/**
	 * 验证产品编码的唯一性
	 * @param productType
	 * @param productCode
	 * @param id
	 */
	boolean validProductCode(String productType, String productCode, String id);
	
	/**
	 * 验证产品名称的唯一性
	 * 
	 * @param productName
	 * @param id
	 */
	boolean validProductName(String productType, String productName, String id);

}

