package com.persagy.common.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.persagy.common.model.SaasDictModel;

/**
 * saas 字典数据
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月14日 下午2:44:20
 */
public class SaasDictData {

	public static final Map<String, List<SaasDictModel>> DICT_DATA = new HashMap<String, List<SaasDictModel>>(2);
	public static final Map<String, String> DICT_TYPE_DATA = new HashMap<String, String>(2);
	
	/**功能类型*/
	public static final String PROJECT_FUN_TYPE = "PROJECT_FUN_TYPE";
	public static final List<SaasDictModel> projectFunData = new ArrayList<SaasDictModel>(8);
	
	/**气候区*/
	public static final String WEATHER_TYPE = "WEATHER_TYPE";
	public static final List<SaasDictModel> weatherData = new ArrayList<SaasDictModel>(32);
	
	static {
		weatherData.add(new SaasDictModel("10", "严寒地区"));
		weatherData.add(new SaasDictModel("20", "寒冷地区"));
		weatherData.add(new SaasDictModel("30", "夏热冬冷地区"));
		weatherData.add(new SaasDictModel("40", "夏热冬暖地区"));
		weatherData.add(new SaasDictModel("50", "温和地区"));
		weatherData.add(new SaasDictModel("00", "其他地区"));
		DICT_DATA.put(WEATHER_TYPE, weatherData);
		
		projectFunData.add(new SaasDictModel("100", "居住项目"));
		projectFunData.add(new SaasDictModel("200", "办公项目"));
		projectFunData.add(new SaasDictModel("300", "教育项目"));
		projectFunData.add(new SaasDictModel("400", "科研项目"));
		projectFunData.add(new SaasDictModel("500", "金融项目"));
		projectFunData.add(new SaasDictModel("600", "观演项目"));
		projectFunData.add(new SaasDictModel("700", "文化项目"));
		projectFunData.add(new SaasDictModel("800", "博览项目"));
		projectFunData.add(new SaasDictModel("900", "游乐休闲项目"));
		projectFunData.add(new SaasDictModel("A00", "旅馆项目"));
		projectFunData.add(new SaasDictModel("B00", "商业项目"));
		projectFunData.add(new SaasDictModel("C00", "体育项目"));
		projectFunData.add(new SaasDictModel("D00", "医疗项目"));
		projectFunData.add(new SaasDictModel("E00", "宗教项目"));
		projectFunData.add(new SaasDictModel("F00", "市政项目"));
		projectFunData.add(new SaasDictModel("G00", "邮电媒体项目"));
		projectFunData.add(new SaasDictModel("H00", "司法项目"));
		projectFunData.add(new SaasDictModel("I00", "福利项目"));
		projectFunData.add(new SaasDictModel("J00", "殡葬项目"));
		projectFunData.add(new SaasDictModel("K00", "交通项目"));
		projectFunData.add(new SaasDictModel("L00", "仓储物流项目"));
		projectFunData.add(new SaasDictModel("M00", "工业项目"));
		projectFunData.add(new SaasDictModel("N00", "综合项目"));
		projectFunData.add(new SaasDictModel("000", "人防项目"));
		projectFunData.add(new SaasDictModel("P00", "园区项目"));
		projectFunData.add(new SaasDictModel("Z00", "其他项目"));
		DICT_DATA.put(PROJECT_FUN_TYPE, projectFunData);
		
		DICT_TYPE_DATA.put(WEATHER_TYPE, "气候区类型");
		DICT_TYPE_DATA.put(PROJECT_FUN_TYPE, "项目功能类型");
		
	}
	
}
